Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.soap.axis
Class AxisMessageDispatcher

    java.lang.Object
      org.mule.transport.AbstractTransportMessageHandler
          org.mule.transport.AbstractMessageDispatcher
              org.mule.transport.soap.axis.AxisMessageDispatcher

All Implemented Interfaces:
  Disposable, Initialisable, Lifecycle, LifecycleStateEnabled, Startable, Stoppable, MessageProcessor, Connectable, MessageDispatcher

Direct Known Subclasses:
  AxisWsdlMessageDispatcher

    public class AxisMessageDispatcher

extends AbstractMessageDispatcher

`AxisMessageDispatcher` is used to make soap requests via the Axis soap client.

Field Summary
`protected org.apache.axis.EngineConfiguration` | `clientConfig`
`protected AxisConnector` | `connector`
`protected org.apache.axis.client.Service` | `service`

Fields inherited from class org.mule.transport.AbstractMessageDispatcher
`defaultOutboundTransformers, defaultResponseTransformers`

Fields inherited from class org.mule.transport.AbstractTransportMessageHandler
`connected, connecting, endpoint, lifecycleManager, logger, muleMessageFactory, retryTemplate, startOnConnect`

Fields inherited from interface org.mule.api.transport.MessageDispatcher
`RECEIVE_NO_WAIT, RECEIVE_WAIT_INDEFINITELY`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`AxisMessageDispatcher(OutboundEndpoint endpoint)`

Method Summary
`protected void` | `addAttachments(MuleEvent event, org.apache.axis.client.Call call)`
`protected void` | `buildSoapMethods(MuleEvent event, org.apache.axis.client.Call call, Object method, String methodNamespace, Object[] args)`
`protected static MuleMessage` | `createMessage(Object result, org.apache.axis.client.Call call, MuleContext muleContext)`
`protected org.apache.axis.client.Service` | `createService(ImmutableEndpoint endpoint)`
`protected void` | `doConnect()`
`protected void` | `doDisconnect()`
`protected void` | `doDispatch(MuleEvent event)`
`protected void` | `doDispose()`
`protected MuleMessage` | `doSend(MuleEvent event)`
`protected org.apache.axis.client.Call` | `getCall(MuleEvent event, Object[] args)`
`protected org.apache.axis.EngineConfiguration` | `getClientConfig(ImmutableEndpoint endpoint)`
`protected Object` | `getInitialMethod(MuleEvent event)`
`String` | `parseSoapAction(String soapAction, QName method, MuleEvent event)`
`protected void` | `parseStyle(MuleEvent event, org.apache.axis.client.Call call)`
`protected void` | `parseUse(MuleEvent event, org.apache.axis.client.Call call)`
`protected Object` | `refineMethod(MuleEvent event, org.apache.axis.client.Call call, Object method)`
`protected void` | `setCustomProperties(MuleEvent event, org.apache.axis.client.Call call)`
`protected void` | `setMessageContextAttachments(MuleMessage message, org.apache.axis.MessageContext ctx)`
`protected void` | `setMessageContextProperties(MuleMessage message, org.apache.axis.MessageContext ctx)`
`protected void` | `setSoapAction(MuleEvent event, EndpointURI endpointUri, org.apache.axis.client.Call call)`
`protected void` | `setUserCredentials(EndpointURI endpointUri, org.apache.axis.client.Call call)`

Methods inherited from class org.mule.transport.AbstractMessageDispatcher
`applyOutboundTransformers, applyResponseTransformers, createLifecycleManager, getDispatcherName, getEndpoint, getWorkManager, process, returnResponse, returnResponse`

Methods inherited from class org.mule.transport.AbstractTransportMessageHandler
`activate, callDoStartWhenItIsConnected, connect, connectAndThenStart, createMuleMessage, createMuleMessage, createMuleMessage, createMuleMessageFactory, createNullMuleMessage, disconnect, dispose, disposeAndLogException, doInitialise, doStart, doStop, getConnectEventId, getConnectionDescription, getConnector, getLifecycleState, initialise, initializeMessageFactory, initializeRetryPolicy, isConnected, isConnecting, isDoStartMustFollowDoConnect, isDoThreading, isStarted, passivate, setEndpoint, start, stop, toString, validate, validateConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transport.MessageDispatcher
`activate, createMuleMessage, createMuleMessage, getConnector, passivate, validate`

Methods inherited from interface org.mule.api.transport.Connectable
`connect, disconnect, getConnectionDescription, isConnected, validateConnection`

Methods inherited from interface org.mule.api.lifecycle.Initialisable
`initialise`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Methods inherited from interface org.mule.api.lifecycle.LifecycleStateEnabled
`getLifecycleState`

Field Detail

### clientConfig

    protected org.apache.axis.EngineConfiguration clientConfig

### connector

    protected AxisConnector connector

### service

    protected org.apache.axis.client.Service service

Constructor Detail

### AxisMessageDispatcher

    public AxisMessageDispatcher(OutboundEndpoint endpoint)

Method Detail

### doConnect

    protected void doConnect()
                      throws Exception

  Overrides:
    `doConnect` in class `AbstractTransportMessageHandler`
  Throws:
    `Exception`

### doDisconnect

    protected void doDisconnect()
                         throws Exception

  Overrides:
    `doDisconnect` in class `AbstractTransportMessageHandler`
  Throws:
    `Exception`

### doDispose

    protected void doDispose()

  Overrides:
    `doDispose` in class `AbstractTransportMessageHandler`

### getClientConfig

    protected org.apache.axis.EngineConfiguration getClientConfig(ImmutableEndpoint endpoint)

### createService

    protected org.apache.axis.client.Service createService(ImmutableEndpoint endpoint)
                                                    throws Exception

  Throws:
    `Exception`

### doDispatch

    protected void doDispatch(MuleEvent event)
                       throws Exception

  Specified by:
    `doDispatch` in class `AbstractMessageDispatcher`
  Throws:
    `Exception`

### doSend

    protected MuleMessage doSend(MuleEvent event)
                          throws Exception

  Specified by:
    `doSend` in class `AbstractMessageDispatcher`
  Throws:
    `Exception`

### getCall

    protected org.apache.axis.client.Call getCall(MuleEvent event,
                                                  Object[] args)
                                           throws Exception

  Throws:
    `Exception`

### addAttachments

    protected void addAttachments(MuleEvent event,
                                  org.apache.axis.client.Call call)

### setSoapAction

    protected void setSoapAction(MuleEvent event,
                                 EndpointURI endpointUri,
                                 org.apache.axis.client.Call call)

### buildSoapMethods

    protected void buildSoapMethods(MuleEvent event,
                                    org.apache.axis.client.Call call,
                                    Object method,
                                    String methodNamespace,
                                    Object[] args)

### setUserCredentials

    protected void setUserCredentials(EndpointURI endpointUri,
                                      org.apache.axis.client.Call call)

### setCustomProperties

    protected void setCustomProperties(MuleEvent event,
                                       org.apache.axis.client.Call call)

### refineMethod

    protected Object refineMethod(MuleEvent event,
                                  org.apache.axis.client.Call call,
                                  Object method)

### parseUse

    protected void parseUse(MuleEvent event,
                            org.apache.axis.client.Call call)

### parseStyle

    protected void parseStyle(MuleEvent event,
                              org.apache.axis.client.Call call)

### getInitialMethod

    protected Object getInitialMethod(MuleEvent event)
                               throws DispatchException

  Throws:
    `DispatchException`

### setMessageContextProperties

    protected void setMessageContextProperties(MuleMessage message,
                                               org.apache.axis.MessageContext ctx)

### setMessageContextAttachments

    protected void setMessageContextAttachments(MuleMessage message,
                                                org.apache.axis.MessageContext ctx)
                                         throws Exception

  Throws:
    `Exception`

### createMessage

    protected static MuleMessage createMessage(Object result,
                                               org.apache.axis.client.Call call,
                                               MuleContext muleContext)

### parseSoapAction

    public String parseSoapAction(String soapAction,
                                  QName method,
                                  MuleEvent event)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.